﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.DataWarehouse.SegmentDataWarehouseListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Segment";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>


<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.SegmentList.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @{ @Model.MessageNumberEntries }
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered table-hover dataTables-example">
                                        <thead>
                                            <tr>

                                                <th>
                                                    @Html.DisplayNameFor(model => model.SegmentList[0].segmentID)
                                                </th>

                                                <th>
                                                    @Html.DisplayNameFor(model => model.SegmentList[0].segmentName)
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if (Model.SegmentList.Count > 0)
                                            {
                                                foreach (var item in Model.SegmentList)
                                                {
                                                    <tr>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.segmentID)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.segmentName)
                                                        </td>
                                                    </tr>
                                                }
                                            }
                                            else
                                            {
                                                <tr>
                                                    <td colspan="2" class="text-center">
                                                        No records found
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                                @{
                                    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
                                    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
                                }

                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber - 1)"
                                   class="btn btn-default @prevDisabled">
                                    Previous
                                </a>
                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber + 1)"
                                   class="btn btn-default @nextDisabled">
                                    Next
                                </a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>